org.apache.pdfbox.pdmodel.interactive.action

## Class PDActionResetForm

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.action.PDAction
  - - org.apache.pdfbox.pdmodel.interactive.action.PDActionResetForm

All Implemented Interfaces:
  COSObjectable, PDDestinationOrAction

    public class PDActionResetForm
    extends PDAction

Author:
  Timur Kamalov

### Field Summary

Fields
`static String` `SUB_TYPE` This type of action this object represents.

### Fields inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`action, TYPE`

### Constructor Summary

Constructors
Constructor and Description
`PDActionResetForm()` Default constructor.
`PDActionResetForm(COSDictionary a)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSArray` `getFields()` An array identifying which fields to include in the submission or which to exclude, depending on the setting of the Include/Exclude flag in the Flags entry
`int` `getFlags()` A set of flags specifying various characteristics of the action
`void` `setFields(COSArray array)`
`void` `setFlags(int flags)`

### Methods inherited from class org.apache.pdfbox.pdmodel.interactive.action.PDAction

`getCOSObject, getNext, getSubType, getType, setNext, setSubType, setType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SUB_TYPE

    public static final String SUB_TYPE

This type of action this object represents.

See Also:
  Constant Field Values

### Constructor Detail

#### PDActionResetForm

    public PDActionResetForm()

Default constructor.

#### PDActionResetForm

    public PDActionResetForm(COSDictionary a)

Constructor.

Parameters:
  `a` - The action dictionary.

### Method Detail

#### getFields

    public COSArray getFields()

An array identifying which fields to include in the submission or which to exclude, depending on the setting of the Include/Exclude flag in the Flags entry

Returns:
  the array of fields

#### setFields

    public void setFields(COSArray array)

Parameters:
  `array` - the array of fields

#### getFlags

    public int getFlags()

A set of flags specifying various characteristics of the action

Returns:
  the flags

#### setFlags

    public void setFlags(int flags)

Parameters:
  `flags` - the flags